Bug 17635 - (Bug 6934 followup) Templates missing body id
Summary: (Bug 6934 followup) Templates missing body id
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 6934
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-15 18:06 UTC by Tomás Cohen Arazi
Modified: 2018-06-04 20:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17635: Fix templates with missing body id (1.86 KB, patch)
2016-11-15 18:12 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17635: Fix templates with missing body id (1.91 KB, patch)
2016-11-15 18:17 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-15 18:06:21 UTC

    
Comment 1 Tomás Cohen Arazi 2016-11-15 18:12:15 UTC
Created attachment 57513 [details] [review]
Bug 17635: Fix templates with missing body id

The following template files are missing body id and class and should be fixed:

- members/housebound.tt
- reports/cash_register_stats.tt

To test:
- Run:
  $ sudo koha-shell kohadev ; cd kohaclone
 k$ prove xt/tt_valid.t
=> FAIL: Tests fail due to the mentioned templates
- Apply this patch
- Run:
  $ sudo koha-shell kohadev ; cd kohaclone
 k$ prove xt/tt_valid.t
=> SUCCESS: Tests pass!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Kyle M Hall 2016-11-15 18:17:08 UTC
Created attachment 57514 [details] [review]
Bug 17635: Fix templates with missing body id

The following template files are missing body id and class and should be fixed:

- members/housebound.tt
- reports/cash_register_stats.tt

To test:
- Run:
  $ sudo koha-shell kohadev ; cd kohaclone
 k$ prove xt/tt_valid.t
=> FAIL: Tests fail due to the mentioned templates
- Apply this patch
- Run:
  $ sudo koha-shell kohadev ; cd kohaclone
 k$ prove xt/tt_valid.t
=> SUCCESS: Tests pass!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Kyle M Hall 2016-11-15 18:17:48 UTC
Passing QA directly.
Comment 4 Kyle M Hall 2016-11-15 18:18:02 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 5 Mason James 2016-11-30 12:04:10 UTC
blocked by enhancement, passing for 16.05
Comment 6 Mason James 2016-12-14 12:01:38 UTC
Blocked by enhancement, skipping for 16.05.x